#!/bin/bash

FIREFOX_VERSION=$(rpm --specfile firefox-l10n.spec --qf %{version} 2> /dev/null )
FIREFOX_URL="https://archive.mozilla.org/pub/firefox/releases/$FIREFOX_VERSION/linux-i686/xpi/"

LANGPACKS="$(curl -s $FIREFOX_URL 2> /dev/null | awk -F">" '/\.xpi/ { print $3 }' | sed 's@<.*@@g' | sort -u)"

rm -rf firefox-l10n-$FIREFOX_VERSION
mkdir -p firefox-l10n-$FIREFOX_VERSION

for pack in $LANGPACKS; do
    curl -LJ $FIREFOX_URL$pack -o firefox-l10n-$FIREFOX_VERSION/$pack
done

tar cavf firefox-l10n-$FIREFOX_VERSION.tar.xz firefox-l10n-$FIREFOX_VERSION
rm -rf firefox-l10n-$FIREFOX_VERSION
